MuleSoapHeaders (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.soap.MuleSoapHeaders class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.soap
Class MuleSoapHeaders

    java.lang.Object
      org.mule.transport.soap.MuleSoapHeaders

    public class MuleSoapHeaders

extends Object

`MuleSoapHeaders` is a helper class for extracting and writing Mule header properties to s Soap message

Field Summary
`static String` | `ENV_REQUEST_HEADERS`
`static String` | `MULE_10_ACTOR`
`static String` | `MULE_HEADER`
`static String` | `MULE_NAMESPACE`

Constructor Summary
`MuleSoapHeaders(Iterator elements)`
`MuleSoapHeaders(MuleEvent event)` Extracts header properties from a Mule event
`MuleSoapHeaders(javax.xml.soap.SOAPHeader soapHeader)` Extracts Mule header properties from a Soap message

Method Summary
`void` | `addHeaders(javax.xml.soap.SOAPEnvelope env)` Writes the header properties to a Soap header
`Element` | `createHeaders()`
`String` | `getCorrelationGroup()`
`String` | `getCorrelationId()`
`String` | `getCorrelationSequence()`
`String` | `getReplyTo()`
`protected void` | `readElements(Iterator elements)`
`void` | `setCorrelationGroup(String correlationGroup)`
`void` | `setCorrelationId(String correlationId)`
`void` | `setCorrelationSequence(String correlationSequence)`
`void` | `setReplyTo(String replyTo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MULE_10_ACTOR

    public static final String MULE_10_ACTOR

See Also:
  Constant Field Values

### MULE_NAMESPACE

    public static final String MULE_NAMESPACE

See Also:
  Constant Field Values

### MULE_HEADER

    public static final String MULE_HEADER

See Also:
  Constant Field Values

### ENV_REQUEST_HEADERS

    public static final String ENV_REQUEST_HEADERS

See Also:
  Constant Field Values

Constructor Detail

### MuleSoapHeaders

    public MuleSoapHeaders(MuleEvent event)

  Extracts header properties from a Mule event

  Parameters:
    `event` -

### MuleSoapHeaders

    public MuleSoapHeaders(javax.xml.soap.SOAPHeader soapHeader)

  Extracts Mule header properties from a Soap message

  Parameters:
    `soapHeader` -

### MuleSoapHeaders

    public MuleSoapHeaders(Iterator elements)

Method Detail

### readElements

    protected void readElements(Iterator elements)

### addHeaders

    public void addHeaders(javax.xml.soap.SOAPEnvelope env)
                    throws Exception

  Writes the header properties to a Soap header

  Parameters:
    `env` -
  Throws:
    `javax.xml.soap.SOAPException`
    `Exception`

### createHeaders

    public Element createHeaders()
                          throws Exception

  Throws:
    `Exception`

### getReplyTo

    public String getReplyTo()

### setReplyTo

    public void setReplyTo(String replyTo)

### getCorrelationId

    public String getCorrelationId()

### setCorrelationId

    public void setCorrelationId(String correlationId)

### getCorrelationGroup

    public String getCorrelationGroup()

### setCorrelationGroup

    public void setCorrelationGroup(String correlationGroup)

### getCorrelationSequence

    public String getCorrelationSequence()

### setCorrelationSequence

    public void setCorrelationSequence(String correlationSequence)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.